$general-color: white;

*{
    padding: 0;
    margin: 0;

    font-family: 'Lato';
    font-style: normal;

    a{
        text-decoration: none;
    }
}

.container{
    padding-left: calc(50% - 555px);
    padding-right: calc(50% - 555px);
}

// Header 

header{
    height: 782px;
    background-image: linear-gradient(90deg, rgba(213, 32, 71, 0.8) 0%, rgba(238, 61, 27, 0.8) 100%), url("./img/header-background.png");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: bottom center;
}

.header{
    padding-top: 48px;
    color: $general-color;
    text-align: center;


    &__text{
        display: flex;
        flex-direction: column;
        row-gap: 39px;
    }

    &__title{
        font-weight: 700;
        font-size: 72px;
        letter-spacing: 0.05em;
        padding-top: 170px;
    }

    &__subtitle{
        font-weight: 600;
        font-size: 24px;
        line-height: 150%;
        width: 540px;
        align-self: center;
    }

    &__button{
        padding: 16px 52px;
        max-width: 160px;
        border: none;
        border-radius: 6px;
        color: #ED4C5C;
        align-self: center;
    }

    &__button:active{
        position: relative;
        top: 5px;
    }
}

.menu{
    display: flex;
    align-items: center;
    gap: 178px;

    &__row{
        display: flex;
        gap: 25px;
    }
    &__link{
        color: $general-color;
    }
    &__link:active{
        color: black;
    }

    &__link:hover{
        color: black;
    }
}

// Description block of Coworking

.general-block{
    padding-top: 95px;
    padding-bottom: 95px;

    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
    gap: 125px;

    &__text{
        max-width: 445px;
    }
    &__title{
        font-weight: 600;
        font-size: 36px;
        padding-bottom: 24px;
    }

    &__description{
        font-weight: 400;
        font-size: 14px;
        padding-bottom: 14px;
        line-height: 150%;
    }
    &__link{
        font-weight: 400;
        font-size: 14px;
        color: #ED4C5C;
    }
    &__link:active{
        color: black;
    }
    &__img{
        border-radius: 15px;
    }
}

// Features block with cards

.features{
    padding-top: 63px;
    padding-bottom: 31px;
    background-color: #FAFAFA;
    display: flex;
    flex-direction: column;
    align-items: center;
    row-gap: 63px;
    
    &__title{
        font-weight: 600;
        font-size: 36px;
    }
    
    &__card{
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        gap: 30px;
    }
}

.card{
    max-width: 350px;
    max-height: 450px;
    display: flex;
    flex-direction: column;
    text-align: center;
    background-color: white;
    border-radius: 15px;
    overflow: hidden;
    box-shadow: 5px 5px 5px rgb(70, 70, 70);
    
    &__title{
        padding-top: 33px;
        font-weight: 700;
        font-size: 18px;
    }
    &__description{
        padding-top: 20px;
        font-weight: 400;
        font-size: 12px;
        
    }
    &__link{
        padding-top: 15px;
        padding-bottom: 25px;
        font-weight: 700;
        font-size: 12px;
        color: #ED4C5C;
    }

    &__img{
        background-size: 100% auto;
    }
}

.general-block_red-background{
    background-color: #ED4C5C;
}

.general-block__text_white{
    color: $general-color;
}

// Submit block with form

.submit{
    padding-top: 117px;
    padding-bottom: 78px;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    gap: 125px;
    
    &__text{
        max-width: 445px;
    }

  
    &__title{
        font-weight: 600;
        font-size: 36px;
        padding-bottom: 53px;
    }

    &__description{
        font-weight: 400;
        font-size: 14px;
        line-height: 140%;
    }
  }

  .submit-form{
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 30px;
    row-gap: 24px;
    justify-content: space-between;

    &__input{
        border: 1px solid #333333;
        border-radius: 6px;
        padding: 20px 30px;
        grid-column: span 4;
    }

    &__input_small{
        grid-column: span 2;
    }

    &__select{
        border: 1px solid #333333;
        border-radius: 6px;
        padding: 21px 31px;
        grid-column: span 4;
    }

    &__button{
        padding: 17px;
        background: #ED4C5C;
        border: 1.5px solid #ED4C5C;
        border-radius: 6px;
        color: $general-color;
        grid-column: span 2;
    }

    &__button:active{
        position: relative;
        top: 5px;
    }
  }

  @media screen and (max-width: 1150px) {
    .general-block{
        justify-content: center;
        padding-top: 50px;
        padding-bottom: 50px;
        gap: 20px;
    }
    
    .features{
        padding-top: 33px;
        row-gap: 33px;
    }

    .submit{
        justify-content: center;
        gap: 20px;
        padding-top: 50px;
        
        &__title{
            padding-bottom: 23px;
        }
    }
    .container{
        padding-left: calc(50% - 500px);
        padding-right: calc(50% - 500px);
    }

  }